# FeesApi

All URIs are relative to *https://localhost:8555*

| Method | HTTP request | Description |
|------------- | ------------- | -------------|
| [**getFeeEstimate**](FeesApi.md#getFeeEstimate) | **POST** /get_fee_estimate | Estimates the fee for a given spend_bundle. |


<a name="getFeeEstimate"></a>
# **getFeeEstimate**
> GetFeeEstimate200Response getFeeEstimate(getFeeEstimateRequest)

Estimates the fee for a given spend_bundle.

Estimates the fee for a given spend_bundle.

### Example
```java
// Import classes:
import org.openapitools.client.ApiClient;
import org.openapitools.client.ApiException;
import org.openapitools.client.Configuration;
import org.openapitools.client.auth.*;
import org.openapitools.client.models.*;
import org.openapitools.client.api.FeesApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("https://localhost:8555");
    

    FeesApi apiInstance = new FeesApi(defaultClient);
    GetFeeEstimateRequest getFeeEstimateRequest = new GetFeeEstimateRequest(); // GetFeeEstimateRequest | The spend bundle
    try {
      GetFeeEstimate200Response result = apiInstance.getFeeEstimate(getFeeEstimateRequest);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling FeesApi#getFeeEstimate");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

### Parameters

| Name | Type | Description  | Notes |
|------------- | ------------- | ------------- | -------------|
| **getFeeEstimateRequest** | [**GetFeeEstimateRequest**](GetFeeEstimateRequest.md)| The spend bundle | |

### Return type

[**GetFeeEstimate200Response**](GetFeeEstimate200Response.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

