

# CreateNewWalletRequest


## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**walletType** | [**WalletTypeEnum**](#WalletTypeEnum) | The type of wallet to create. |  |
|**name** | **String** | User supplied name for the wallet. Will default if not provided. |  [optional] |
|**amount** | **Integer** | The amount of mojo to deposit in the new wallet. |  [optional] |
|**fee** | **Integer** | The transaction fee amount in mojo. |  [optional] |
|**mode** | [**ModeEnum**](#ModeEnum) | The pooling mode. |  |
|**assetId** | **String** | Only used when &#x60;mode&#x60; is &#39;existing&#39; |  [optional] |
|**backupDids** | **List&lt;String&gt;** |  |  [optional] |
|**numOfBackupIdsNeeded** | **Integer** |  |  [optional] |
|**metadata** | **Map&lt;String, String&gt;** |  |  [optional] |
|**walletName** | **String** |  |  [optional] |
|**backupData** | **String** |  |  [optional] |
|**initialTargetState** | [**PoolState**](PoolState.md) |  |  [optional] |
|**p2SingletonDelayedPh** | **String** |  |  [optional] |
|**p2SingletonDelayTime** | **Integer** |  |  [optional] |
|**didId** | **String** |  |  [optional] |



## Enum: WalletTypeEnum

| Name | Value |
|---- | -----|
| CAT_WALLET | &quot;cat_wallet&quot; |
| DID_WALLET | &quot;did_wallet&quot; |
| POOL_WALLET | &quot;pool_wallet&quot; |
| NFT_WALLET | &quot;nft_wallet&quot; |



## Enum: ModeEnum

| Name | Value |
|---- | -----|
| NEW | &quot;new&quot; |
| RECOVERY | &quot;recovery&quot; |



