

# PoolWalletInfo

Internal Pool Wallet state, not destined for the blockchain. This can be completely derived with the Singleton's CoinSpends list, or with the information from the WalletPoolStore.

## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**current** | [**PoolState**](PoolState.md) |  |  [optional] |
|**target** | [**PoolState**](PoolState.md) |  |  [optional] |
|**launcherCoin** | [**Coin**](Coin.md) |  |  [optional] |
|**launcherId** | **String** |  |  [optional] |
|**p2SingletonPuzzleHash** | **String** |  |  [optional] |
|**currentInner** | **String** | inner puzzle in current singleton, not revealed yet |  [optional] |
|**tipSingletonCoinId** | **String** |  |  [optional] |
|**singletonBlockHeight** | **Integer** | Block height that current PoolState is from |  [optional] |



