

# TradeRecord

Used for storing transaction data and status in wallets.

## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**confirmedAtHeight** | **Integer** |  |  [optional] |
|**acceptedAtTime** | **Integer** |  |  [optional] |
|**createdAtTime** | **Integer** |  |  [optional] |
|**isMyOffer** | **Boolean** |  |  [optional] |
|**sent** | **Integer** |  |  [optional] |
|**offer** | **String** |  |  [optional] |
|**takenOffer** | **String** |  |  [optional] |
|**coinsOfInterest** | [**List&lt;Coin&gt;**](Coin.md) |  |  [optional] |
|**tradeId** | **String** |  |  [optional] |
|**status** | **TradeStatus** |  |  [optional] |
|**sentTo** | **List&lt;List&lt;String&gt;&gt;** | Represents the list of peers that we sent the transaction to, whether each one included it in the mempool, and what the error message (if any) was. List[Tuple[str, uint8, Optional[str]]] |  [optional] |



