

# TransactionRecord

Used for storing transaction data and status in wallets.

## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**confirmedAtHeight** | **Integer** |  |  [optional] |
|**createdAtTime** | **Integer** |  |  [optional] |
|**toPuzzleHash** | **String** |  |  [optional] |
|**amount** | **Integer** |  |  [optional] |
|**feeAmount** | **Integer** |  |  [optional] |
|**confirmed** | **Boolean** |  |  [optional] |
|**sent** | **Integer** |  |  [optional] |
|**spendBundle** | [**SpendBundle**](SpendBundle.md) |  |  [optional] |
|**additions** | [**List&lt;Coin&gt;**](Coin.md) |  |  [optional] |
|**removals** | [**List&lt;Coin&gt;**](Coin.md) |  |  [optional] |
|**walletId** | **Integer** |  |  [optional] |
|**sentTo** | **List&lt;List&lt;String&gt;&gt;** | Represents the list of peers that we sent the transaction to, whether each one included it in the mempool, and what the error message (if any) was. List[Tuple[str, uint8, Optional[str]]] |  [optional] |
|**tradeId** | **String** |  |  [optional] |
|**type** | **TransactionType** |  |  [optional] |
|**name** | **String** |  |  [optional] |
|**memos** | **List&lt;List&lt;String&gt;&gt;** | List[Tuple[bytes32, List[bytes]]] |  [optional] |



