

# NftInfo

NFT Info for displaying NFT on the UI

## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**launcherId** | **String** |  |  [optional] |
|**nftCoinId** | **String** |  |  [optional] |
|**ownerDid** | **String** |  |  [optional] |
|**royaltyPercentage** | **Integer** | Percentage of the transaction fee paid to the author, e.g. 1000 &#x3D; 1% |  [optional] |
|**royaltyPuzzleHash** | **String** |  |  [optional] |
|**dataUris** | **List&lt;URI&gt;** |  |  [optional] |
|**dataHash** | **String** |  |  [optional] |
|**metadataUris** | **List&lt;URI&gt;** |  |  [optional] |
|**metadataHash** | **String** |  |  [optional] |
|**licenseUris** | **List&lt;URI&gt;** |  |  [optional] |
|**licenseHash** | **String** |  |  [optional] |
|**editionTotal** | **Integer** |  |  [optional] |
|**editionNumber** | **Integer** |  |  [optional] |
|**updaterPuzhash** | **String** |  |  [optional] |
|**chainInfo** | **String** |  |  [optional] |
|**mintHeight** | **Integer** |  |  [optional] |
|**supportsDid** | **Boolean** |  |  [optional] |
|**pendingTransaction** | **Boolean** |  |  [optional] |
|**launcherPuzhash** | **String** |  |  [optional] |
|**minterDid** | **String** |  |  [optional] |
|**offChainMetadata** | **String** | Serialized off-chain metadata |  [optional] |
|**p2Address** | **String** | The innermost puzzle hash of the NFT |  [optional] |



