

# NftMintBulkRequest


## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**metadataList** | [**List&lt;NftMintBulkRequestMetadataListInner&gt;**](NftMintBulkRequestMetadataListInner.md) | A list of dicts containing the metadata for each NFT to be minted |  |
|**walletId** | **Integer** |  |  |
|**royaltyAddress** | **String** |  |  [optional] |
|**royaltyPercentage** | **Integer** |  |  [optional] |
|**targetList** | **List&lt;String&gt;** | a list of targets for transfering minted NFTs (aka airdrop) |  [optional] |
|**mintNumberStart** | **Integer** | The starting point for mint number used in intermediate launcher puzzle |  [optional] |
|**mintTotal** | **Integer** | The total number of NFTs being minted |  [optional] |
|**xchCoinList** | **List&lt;String&gt;** | For use with bulk minting to provide the coin used for funding the minting spend. This coin can be one that will be created in the future |  [optional] |
|**xchChangeTarget** | **String** | For use with bulk minting, so we can specify the puzzle hash that the change from the funding transaction goes to. |  [optional] |
|**newInnerpuzhash** | **String** |  |  [optional] |
|**newP2Puzhash** | **String** |  |  [optional] |
|**didCoinDict** | **Map&lt;String, Object&gt;** |  |  [optional] |
|**didLineageParentHex** | **String** |  |  [optional] |
|**mintFromDid** | **Boolean** |  |  [optional] |
|**fee** | **Integer** |  |  [optional] |
|**reusePuzhash** | **Boolean** |  |  [optional] |



