

# PoolState

`PoolState` is a type that is serialized to the blockchain to track the state of the user's pool singleton `target_puzzle_hash` is either the pool address, or the self-pooling address that pool rewards will be paid to. `target_puzzle_hash` is NOT the p2_singleton puzzle that block rewards are sent to. The `p2_singleton` address is the initial address, and the `target_puzzle_hash` is the final destination. `relative_lock_height` is zero when in SELF_POOLING state

## Properties

| Name | Type | Description | Notes |
|------------ | ------------- | ------------- | -------------|
|**version** | **Integer** |  |  [optional] |
|**state** | **PoolSingletonState** |  |  [optional] |
|**targetPuzzleHash** | **String** | -&gt; A puzzle_hash we pay to. When self-farming, this is a main wallet address When farming-to-pool, the pool sends this to the farmer during pool protocol setup |  [optional] |
|**ownerPubkey** | **String** |  |  [optional] |
|**poolUrl** | **String** |  |  [optional] |
|**relativeLockHeight** | **Integer** |  |  [optional] |



